## WebKitDOMHTMLTableColElement

WebKitDOMHTMLTableColElement

## Functions

gchar * | webkit_dom_html_table_col_element_get_align ()
void | webkit_dom_html_table_col_element_set_align ()
gchar * | webkit_dom_html_table_col_element_get_ch ()
void | webkit_dom_html_table_col_element_set_ch ()
gchar * | webkit_dom_html_table_col_element_get_ch_off ()
void | webkit_dom_html_table_col_element_set_ch_off ()
glong | webkit_dom_html_table_col_element_get_span ()
void | webkit_dom_html_table_col_element_set_span ()
gchar * | webkit_dom_html_table_col_element_get_v_align ()
void | webkit_dom_html_table_col_element_set_v_align ()
gchar * | webkit_dom_html_table_col_element_get_width ()
void | webkit_dom_html_table_col_element_set_width ()

## Properties

gchar * | align | Read / Write
gchar * | ch | Read / Write
gchar * | ch-off | Read / Write
glong | span | Read / Write
gchar * | v-align | Read / Write
gchar * | width | Read / Write

## Types and Values

| WebKitDOMHTMLTableColElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableColElement

## Implemented Interfaces

WebKitDOMHTMLTableColElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_col_element_get_align ()

    gchar *
    webkit_dom_html_table_col_element_get_align
                                   (WebKitDOMHTMLTableColElement *self);

#### Parameters

self | A WebKitDOMHTMLTableColElement |

#### Returns

A gchar

### webkit_dom_html_table_col_element_set_align ()

    void
    webkit_dom_html_table_col_element_set_align
                                   (WebKitDOMHTMLTableColElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableColElement |
value | A gchar |

### webkit_dom_html_table_col_element_get_ch ()

    gchar *
    webkit_dom_html_table_col_element_get_ch
                                   (WebKitDOMHTMLTableColElement *self);

#### Parameters

self | A WebKitDOMHTMLTableColElement |

#### Returns

A gchar

### webkit_dom_html_table_col_element_set_ch ()

    void
    webkit_dom_html_table_col_element_set_ch
                                   (WebKitDOMHTMLTableColElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableColElement |
value | A gchar |

### webkit_dom_html_table_col_element_get_ch_off ()

    gchar *
    webkit_dom_html_table_col_element_get_ch_off
                                   (WebKitDOMHTMLTableColElement *self);

#### Parameters

self | A WebKitDOMHTMLTableColElement |

#### Returns

A gchar

### webkit_dom_html_table_col_element_set_ch_off ()

    void
    webkit_dom_html_table_col_element_set_ch_off
                                   (WebKitDOMHTMLTableColElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableColElement |
value | A gchar |

### webkit_dom_html_table_col_element_get_span ()

    glong
    webkit_dom_html_table_col_element_get_span
                                   (WebKitDOMHTMLTableColElement *self);

#### Parameters

self | A WebKitDOMHTMLTableColElement |

#### Returns

A glong

### webkit_dom_html_table_col_element_set_span ()

    void
    webkit_dom_html_table_col_element_set_span
                                   (WebKitDOMHTMLTableColElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTableColElement |
value | A glong |

### webkit_dom_html_table_col_element_get_v_align ()

    gchar *
    webkit_dom_html_table_col_element_get_v_align
                                   (WebKitDOMHTMLTableColElement *self);

#### Parameters

self | A WebKitDOMHTMLTableColElement |

#### Returns

A gchar

### webkit_dom_html_table_col_element_set_v_align ()

    void
    webkit_dom_html_table_col_element_set_v_align
                                   (WebKitDOMHTMLTableColElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableColElement |
value | A gchar |

### webkit_dom_html_table_col_element_get_width ()

    gchar *
    webkit_dom_html_table_col_element_get_width
                                   (WebKitDOMHTMLTableColElement *self);

#### Parameters

self | A WebKitDOMHTMLTableColElement |

#### Returns

A gchar

### webkit_dom_html_table_col_element_set_width ()

    void
    webkit_dom_html_table_col_element_set_width
                                   (WebKitDOMHTMLTableColElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableColElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLTableColElement

    typedef struct _WebKitDOMHTMLTableColElement WebKitDOMHTMLTableColElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLTableColElement:align.

Flags: Read / Write

Default value: ""

### The `“ch”` property

      “ch”                       gchar *

read-write gchar* HTMLTableColElement:ch.

Flags: Read / Write

Default value: ""

### The `“ch-off”` property

      “ch-off”                   gchar *

read-write gchar* HTMLTableColElement:ch-off.

Flags: Read / Write

Default value: ""

### The `“span”` property

      “span”                     glong

read-write glong HTMLTableColElement:span.

Flags: Read / Write

Default value: 0

### The `“v-align”` property

      “v-align”                  gchar *

read-write gchar* HTMLTableColElement:v-align.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLTableColElement:width.

Flags: Read / Write

Default value: ""